Summary: HTTP server daemon to provide WWW services on port 80
Name: apache
Version: 1.2.5
Release: 6 
Copyright: GPL
Group: Networking/Daemons
Source0: ftp://ftp.apache.org/apache/dist/apache_%{PACKAGE_VERSION}.tar.gz
Source1: httpd.init
Source2: apache.log
Source3: srm.conf
Source4: httpd.conf
Source5: access.conf
Patch0: apache-1.2.5-cobalt.patch
BuildRoot: /tmp/apache-root
URL: http://www.apache.org/

%description
The Apache web server is the best free web server available in the UNIX
world today. It uses HTTP (HyperText Transfer Protocol) to allow web
browsers to view documents and submit data remotely.  It has the ability
to perform a number of different functions, including proxying and
caching, and offers features such as a status monitor, dynamic type
conversion, and more. 

%changelog

* Sat Feb 28 1998 Timothy Stonis <tim@cobaltmicro.com>

 -Added -HUP to log postrotate.

* Tue Feb 24 1998 Timothy Stonis <tim@cobaltmicro.com>

 -Added /images/ /home/httpd/html/images/ alias.

* Fri Feb 20 1998 Timothy Stonis <tim@cobaltmicro.com>

 -Changed location of error documents so that when server is in secure
  mode where outside people can't get access, they get the pretty 
  authorization required page.`
  

* Wed Feb 18 1998 Timothy Stonis <tim@cobaltmicro.com>

 -Removed webusage alias
 -Added /programs/ alias
 -Added ErrorDocuments for 404, 401, 500, and 403

* Tue Feb 10 1998 Timothy Stonis <tim@cobaltmicro.com>

 -Added cgi-wrapper support in srm.conf
 -Added missing document handler in srm.conf

* Wed Feb 5 1998 Timothy Stonis <tim@cobaltmicro.com>

 -Initial creation of 1.2.5 server.

%prep 
%setup -n apache_%{PACKAGE_VERSION}

%patch0 -p1

%build
(cd src; ./Configure)
make OPTIM="-O2 -fomit-frame-pointer" -C src LIBS="-lcrypt -ldb" 

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/home/httpd/{html,cgi-bin,icons,sbin}
mkdir -p $RPM_BUILD_ROOT/etc/httpd/conf
mkdir -p $RPM_BUILD_ROOT/usr/{bin,sbin}
mkdir -p $RPM_BUILD_ROOT/usr/man/man{1,8}
mkdir -p $RPM_BUILD_ROOT/var/spool/proxy
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/{init.d,rc{0,1,3,5,6}.d}
mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d
mkdir -p $RPM_BUILD_ROOT/var/log/httpd
ln -sf /var/log/httpd $RPM_BUILD_ROOT/etc/httpd/logs

cp conf/* $RPM_BUILD_ROOT/etc/httpd/conf
cp cgi-bin/* $RPM_BUILD_ROOT/home/httpd/cgi-bin

install -m755 -s src/httpd $RPM_BUILD_ROOT/usr/sbin
#for f in htdigest htpasswd rotatelogs log_server_status httpd_monitor \
#logresolve dbmmanage dbmmanage.new; do
#	install -m755 -s support/$f $RPM_BUILD_ROOT/usr/sbin
#done

install -m644 support/httpd.8 $RPM_BUILD_ROOT/usr/man/man8
install -m644 support/htpasswd.1 $RPM_BUILD_ROOT/usr/man/man1

#cp $RPM_SOURCE_DIR/index.html $RPM_BUILD_ROOT/home/httpd/html
#cp $RPM_SOURCE_DIR/poweredby.gif $RPM_BUILD_ROOT/home/httpd/icons
#cp -a htdocs/manual $RPM_BUILD_ROOT/home/httpd/html/manual
#cp icons/* $RPM_BUILD_ROOT/home/httpd/icons

install -m755 $RPM_SOURCE_DIR/httpd.init \
	$RPM_BUILD_ROOT/etc/rc.d/init.d

for I in 0 1 6; do
	ln -sf ../init.d/httpd.init $RPM_BUILD_ROOT/etc/rc.d/rc$I.d/K25httpd
done
for I in 3 5; do
	ln -sf ../init.d/httpd.init $RPM_BUILD_ROOT/etc/rc.d/rc$I.d/S70httpd
done

#install -s support/suexec $RPM_BUILD_ROOT/home/httpd/sbin

install -m644 $RPM_SOURCE_DIR/apache.log $RPM_BUILD_ROOT/etc/logrotate.d/apache
install -m644 $RPM_SOURCE_DIR/srm.conf $RPM_BUILD_ROOT/etc/httpd/conf/srm.conf
install -m644 $RPM_SOURCE_DIR/access.conf $RPM_BUILD_ROOT/etc/httpd/conf/access.conf
install -m644 $RPM_SOURCE_DIR/httpd.conf $RPM_BUILD_ROOT/etc/httpd/conf/httpd.conf

#cp -a $RPM_SOURCE_DIR/README.suEXEC .

%clean
rm -rf $RPM_BUILD_ROOT

%post

%files
%attr(-,root,root) %config /etc/httpd/conf/*.conf
%attr(-,root,root) %config /etc/httpd/conf/mime.types
%attr(-,root,root) %config /etc/logrotate.d/apache
%attr(-,root,root) %dir /etc/httpd
%attr(-,root,root) %dir /etc/httpd/conf
%attr(-,root,root) %dir /home/httpd
%attr(-,root,root) /etc/rc.d/init.d/*
%attr(-,root,root) /etc/httpd/logs
%attr(-,root,root) /etc/rc.d/rc*/*
%attr(-,root,root) /usr/sbin/httpd
#%attr(-,root,root) /usr/sbin/rotatelogs
#%attr(-,root,root) /usr/sbin/logresolve
#%attr(-,root,root) /usr/sbin/log_server_status
#%attr(-,root,root) /usr/sbin/dbmmanage
#%attr(-,root,root) /usr/sbin/dbmmanage.new
#%attr(-,root,root) /usr/sbin/htpasswd
#%attr(-,root,root) /usr/sbin/htdigest
#%attr(-,root,root) /usr/man/man1/htpasswd.1
#%attr(-,root,root) /usr/man/man8/httpd.8
%attr(-,root,root) %dir /var/log/httpd

#%files doc
#%attr(-,root,root) %docdir /home/httpd/html/manual
#%attr(-,root,root) /home/httpd/html/manual

#%files suexec
#%attr(-,root,root) %doc README.suEXEC support/suexec.[ch]
#%attr(4711,root,root) /home/httpd/sbin/suexec

